
//================================================================
#ifndef _EDITOR_H_
#define _EDITOR_H_
//================================================================
//editor - editovanie budov

//struktura segmentu
//------------------
struct E_STRUCTURE
{
	bool Active;

	VECTOR3D Pos;
	VECTOR3D Rot;

	int ModelIndex;

	int Mode;

};

//defines
//---------

//maximalny pocet budov
#define Editor_MaxStructures 500  

//maximalny pocet typov
#define Editor_MaxTypes      26

//---------------------------------------------------------------
// Name: editor class
// Desc: ************
//---------------------------------------------------------------
class EDITOR
{
private:
public:

	//buffer
	E_STRUCTURE Buffer[Editor_MaxStructures];

	//kurzor
	int ActStructure;
	E_STRUCTURE Cursor;

	//save & load
	void SaveScene(char *FileName);
	void LoadScene(char *FileName);
	void ExportScene(char *FileName);

	//debug
	DXFONT Font;

	//konstruktor
	void Initialize();

	//refresh celeho editoru
	void RefreshEditor();

		//camera
		float CameraDistance;
		float CameraRotation;
		void SetCamera();

		//ovladanie
		void Ovladanie();

		//render
		void Render();


};

//================================================================
#endif //_EDITOR_H_